<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <th:block th:include="~{fragments/head}"></th:block>
    <title>SafetyCar</title>
    <script src='https://www.google.com/recaptcha/api.js'></script>
</head>
<body>

<th:block th:include="~{fragments/header}"></th:block>

<main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="container">

            <div class="d-flex justify-content-between align-items-center">
                <h2>New password</h2>
                <ol>
                    <li><a href="/">Home</a></li>
                    <li>New password</li>
                </ol>
            </div>

        </div>
    </section>
    <!-- End Breadcrumbs -->

    <!-- ======= Reset password ======= -->

    <section id="contact" class="contact">
        <div class="container">
            <div class="justify-content-center">
                <h5 style="display: flex; justify-content: center">Set your new password</h5>
            </div>
            <div class="row mt-5 justify-content-center" data-aos="fade-up">
                <div class="col-lg-10">

                    <form action="#" th:action="@{/profile/set-new-password}" th:object="${changePasswordDto}"
                          method="post" role="form"
                          class="php-email-form">
                        <p>
                            <i th:if="${error != null}" th:text="${error}" class="error"
                               style="color:red; font-size:x-large"></i>
                        </p>

                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label for="password"><b>New password</b></label>
                                <label th:errors="*{password}" style="color: red; font-weight: bold"></label>
                                <input th:field="*{password}" type="password" class="form-control" name="phone"
                                       id="password"
                                       placeholder="Enter your password"
                                       required/>
                            </div>
                        </div>
                        <div class="form-row justify-content-center">
                            <div class="col-md-6 form-group">
                                <label th:if="${passMatch != null}" th:text="${passMatch}"
                                       style="color: red; font-weight: bold"></label>
                                <label for="psw-repeat"><b>Confirm password</b></label>
                                <input th:field="*{confirmPassword}" type="password" class="form-control"
                                       name="phone" id="psw-repeat"
                                       placeholder="Re-enter your password"
                                       required/>
                            </div>
                        </div>
                        <input type="hidden" th:field="*{token}"/>
                        <div class="mb-3">
                            <div class="loading">Loading</div>
                            <div class="error-message"></div>
                            <div class="sent-message">Password changed</div>
                        </div>
                        <br/>
                        <div class="text-center">
                            <button type="submit">Reset password</button>
                        </div>
                        <br/>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <!-- End Reset password -->

</main>
<!-- End #main -->

<th:block th:include="~{fragments/footer-js-page-imports}"></th:block>

</body>
</html>